package v2

import (
	"time"
)

type CalculateProcess struct {
	ID        uint      `gorm:"primary_key" json:"id"`
	CreatedAt time.Time `json:"createdAt"`
	UpdatedAt time.Time `json:"updatedAt"`
	//所有人ID
	OwnerID uint `gorm:"index" json:"ownerID"`
	// 所有者类型，是provider还是providerArticle还是Seller还是sellerArticle
	Kind string `gorm:"index" json:"kind"`
	// 条件
	Condition string `json:"condition"`
	// 计算过程
	Process string `json:"process"`
	// 名称
	Name string `json:"name"`
}
